Get User Preferences
All Channels
API to retrieve user preferences for all channels.
GET
/
v1
/
user
/
{distinct_id}
/
preference
/
channel_preference
/
All Channels
curl --request GET \
--url https://hub.suprsend.com/v1/user/{distinct_id}/preference/channel_preference/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/user/{distinct_id}/preference/channel_preference/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/user/{distinct_id}/preference/channel_preference/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"channel_preferences": [
{
"channel": "androidpush",
"is_restricted": false
},
{
"channel": "email",
"is_restricted": false
}
]
}{
"code": 404,
"message": "user [distinct_id: 'user1'] not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
distinct_id of the user whose preferences should be fetched
Query Parameters
to fetch user preferences for a particular tenant
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I
All Channels
